/*-
 * Copyright (C) 2007-2009 Erik Larsson
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */

//
//  DriverUtil.h
//  NTFS-3G_PrefPane
//
//  Created by Erik Larsson on 2008-11-23.
//

#import <Cocoa/Cocoa.h>
#import <Security/Authorization.h>

@interface NTFS3GDriverUtil : NSObject {
}

+ (NSString*)listMountpoints:(AuthorizationRef)auth toMountPointArray:(NSMutableArray*)mountpointArray toStatusArray: (NSMutableArray*)statusArray withBundle:(NSBundle*)bundle;

+ (NSString*)getPreferenceValue: (NSString*)key outValue: (int*)value;
+ (NSString*)getPreferenceValue: (NSString*)key outValueAsLongLong: (long long*)value;

+ (NSString*)setPreferenceKey: (NSString*)key toValue: (NSString*)value withBundle: (NSBundle*)bundle withAuth: (AuthorizationRef)auth;

+ (NSString*)createEmptyFile: (NSString*)filename withBundle: (NSBundle*)bundle withAuth: (AuthorizationRef)auth;
+ (NSString*)deleteFile: (NSString*)filename withBundle: (NSBundle*)bundle withAuth: (AuthorizationRef)auth;
+ (NSString*)existsFile: (NSString*)filename withResult: (BOOL*)result withBundle: (NSBundle*)bundle withAuth: (AuthorizationRef)auth;

+ (NSString*)setControlFile: (NSString*)filename inDirectory: (NSString*)dirname toState: (BOOL)existent withBundle: (NSBundle*)bundle withAuth: (AuthorizationRef)auth;

+ (NSString*)getMountFlags: (NSString*)filename toArray: (NSMutableArray*)optionArray withBundle: (NSBundle*)bundle withAuth: (AuthorizationRef)auth;

+ (NSString*)invokeUninstallScriptWithBundle: (NSBundle*)bundle withAuth: (AuthorizationRef)auth toOutputArray:(NSMutableArray*)outputArray;

@end

#define DriverUtil NTFS3GDriverUtil
