/*-
 * Copyright (C) 2007-2009 Erik Larsson
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */

/* NTFS3GPrefPaneController */

#import <Cocoa/Cocoa.h>
#import <PreferencePanes/PreferencePanes.h>
#import "NTFS3GSFAuthorizationView.h"

@interface NTFS3GPrefPaneController : NSObject
{
    IBOutlet NSWindow *window;
    IBOutlet NSPreferencePane *prefPane;
	
    IBOutlet NSTextField *driverEnabledStatusField;
    IBOutlet NSButton *toggleDriverButton;
    IBOutlet NSButton *uninstallDriverButton;
    IBOutlet NSButton *ublioEnabledButton;
    IBOutlet NSButton *nfconvEnabledButton;
    IBOutlet NSButton *debugLoggingEnabledButton;
    IBOutlet NSButton *alwaysRecoverButton;
	
	//IBOutlet NSTableView *volumeAttachedVolumesTable;
	IBOutlet NSPopUpButton *volumeList;
	IBOutlet NSButton *volumeRefreshVolumeListButton;
    IBOutlet NSButton *volumeDisableDriverButton;
    IBOutlet NSButton *volumeDisableDecompositionButton;
    IBOutlet NSButton *volumeDisableUblioButton;
    IBOutlet NSButton *tuxeraInfoButton;
	
    //IBOutlet NSTextField *debugField;
    IBOutlet NTFS3GSFAuthorizationView *authView;
}
- (IBAction)clickToggleDriver:(id)sender;
- (IBAction)clickUninstallDriver:(id)sender;
- (IBAction)clickEnableUblio:(id)sender;
- (IBAction)clickEnableNfconv:(id)sender;
- (IBAction)clickEnableDebugLogging:(id)sender;
- (IBAction)clickAlwaysRecover:(id)sender;
- (IBAction)clickVolumeRefreshList:(id)sender;
- (IBAction)clickVolumeDisableUblio:(id)sender;
- (IBAction)clickVolumeDisableDecomposition:(id)sender;
- (IBAction)clickVolumeDisableDriver:(id)sender;
- (IBAction)clickTuxeraInfoButton:(id)sender;
- (IBAction)selectVolume:(id)sender;

- (void)setAllComponentsEnabled:(BOOL)enabled;
- (void)setGlobalComponentsEnabled:(BOOL)enabled;
- (void)setGlobalOptionComponentsEnabled:(BOOL)enabled;
- (void)setVolumeComponentsEnabled:(BOOL)enabled;
- (void)setVolumeControlComponentsEnabled:(BOOL)enabled;
- (void)setVolumeOptionComponentsEnabled:(BOOL)enabled;
- (void)refreshGlobalOptions;
- (void)refreshVolumeOptions;

- (void)alertDidEnd:(NSAlert *)alert returnCode:(int)returnCode
    contextInfo:(void *)contextInfo;
@end
