/*-
 * Copyright (C) 2008-2010 Erik Larsson
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */

/*
 *  ExistsFile.c
 *  NTFS-3G_PrefPane
 *
 *  Created by Erik Larsson on 2009-01-04.
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <errno.h>

#define error(msg, args...) \
	do { \
		fprintf(stderr, msg, ##args); \
		fprintf(stderr, "\n"); \
		exit(1); \
	} while(0)

int main(int argc, char **argv) {
	int retval = 1;
	
	if(argc != 2) {
		error("Invalid number of arguments. (got: %d, required: 1)",
				(argc-1));
	}
	else {
		char *path = argv[1];
		struct stat stbuf;
		
		int res = stat(path, &stbuf);
		retval = 0;
		if(res == 0) {
			if((stbuf.st_mode & S_IFREG) != 0) {
				fprintf(stdout, "TRUE\n");
			}
			else
				fprintf(stdout, "FALSE(Not a file! st_mode=0x%X)\n", stbuf.st_mode);
		}
		else
			fprintf(stdout, "FALSE(Could not stat file \"%s\". errno=%d)\n", path, errno);
	}
	
	return retval;
}
