#!/bin/sh -x

# These variables are always passed to build.sh
DIST_DIR="$1"
TMP_DIR="$2"
ROOT_DIR="$3"
PROJNAME="$4"

TARBALL="ntfs-3g_prefpane-2010.5.22-src.tar.bz2"
BUILD_CONFIG="Debug"

cd "${TMP_DIR}" && \
    tar xvf "${DIST_DIR}/${TARBALL}" && \
    cd NTFS-3G_PrefPane && \
    xcodebuild -target "Preference Pane" -configuration "${BUILD_CONFIG}" clean build && \
    sudo mkdir -m 0775 "${ROOT_DIR}/Library" && \
    sudo chown root:admin "${ROOT_DIR}/Library" && \
    sudo mkdir -m 0755 "${ROOT_DIR}/Library/PreferencePanes" && \
    sudo chown root:wheel "${ROOT_DIR}/Library/PreferencePanes" && \
    sudo cp -Rv "build.~/${BUILD_CONFIG}/NTFS-3G.prefPane" "${ROOT_DIR}/Library/PreferencePanes" && \
    sudo chown -R root:wheel "${ROOT_DIR}/Library/PreferencePanes/NTFS-3G.prefPane"

exit $?
