#!/bin/sh -x

# These variables are always passed to build.sh
DIST_DIR="$1"
TMP_DIR="$2"
ROOT_DIR="$3"

PROJNAME="ntfsprogs"
TARBALL="ntfsprogs-1.13.1.tar.gz"

CC=gcc-4.0
PREFIXES="--prefix=/usr/local --mandir=/usr/local/share/man --exec_prefix=/usr/local"
CONFIGURE_FLAGS="--disable-dependency-tracking --enable-shared --enable-static --disable-gnome-vfs --disable-fuse-module"
CC_FLAGS="-g"
LD_FLAGS="-g"

OSX_TARGET=10.4
SDK=/Developer/SDKs/MacOSX10.4u.sdk
CFG_CFLAGS="-arch i386 -arch ppc ${OSX_TARGET:+-mmacosx-version-min=${OSX_TARGET}} ${SDK:+-isysroot ${SDK}} ${CC_FLAGS}"
CFG_LDFLAGS="-arch i386 -arch ppc ${OSX_TARGET:+-mmacosx-version-min=${OSX_TARGET}} ${SDK:+-isysroot ${SDK} -Wl,-syslibroot,${SDK}} ${LD_FLAGS}"

"${DIST_DIR}/../support/acbuild.sh" "${DIST_DIR}" "${TMP_DIR}" "${ROOT_DIR}" "${PROJNAME}" "${TARBALL}" ${PREFIXES} ${CONFIGURE_FLAGS} CC="${CC}" CFLAGS="${CFG_CFLAGS}" LDFLAGS="${CFG_LDFLAGS}"
ACBUILD_RETVAL=$?

if [ ${ACBUILD_RETVAL} -eq 0 ]; then
    # remove the Linux-specific /sbin symlink
    echo "Cleaning out Linux-specific files... (you may be asked for your password)"
    sudo rm "${ROOT_DIR}/sbin/mkfs.ntfs" && sudo rmdir "${ROOT_DIR}/sbin"
    CLEANUP_RETVAL=$?
    exit ${CLEANUP_RETVAL}
else
    exit ${ACBUILD_RETVAL}
fi