#!/bin/sh -x

# These variables are always passed to build.sh
DIST_DIR="$1" ; shift
TMP_DIR="$1" ; shift
ROOT_DIR="$1" ; shift
PROJNAME="$1" ; shift
TARBALL="$1" ; shift

cd "${TMP_DIR}" && \
    tar xvf "${DIST_DIR}/${TARBALL}" && \
    cd ${PROJNAME}* && \
    ./configure "$@" && \
    make && \
    mkdir .build && \
    echo "Testing 'make install'..." && \
    make install "DESTDIR=`pwd`/.build" && \
    echo "Installing into root dir. You may be asked for your password..." && \
    sudo make install "DESTDIR=${ROOT_DIR}" && \
    sudo chown -R root:wheel "${ROOT_DIR}/usr"

exit $?
